One chip MSX improvement project

Page 120/123
113 | 114 | 115 | 116 | 117 | 118 | 119 | | 121 | 122 | 123

By KdL

Paragon (1447)

KdL's picture

28-09-2022, 13:07

AxelStone wrote:

One question, Is the 2nd PSG available on 1st gen machines (OCM, Zemmix, SX1...)? In that case, which software use it?

Thanks.

Internal PSG2 is only for the 2nd Gen machines.

By Parn

Paladin (809)

Parn's picture

28-09-2022, 18:49

KdL wrote:

Internal PSG2 is only for the 2nd Gen machines.

Just to complement @KdL's answer for @AxelStone, although the internal second PSG is only for 2nd Gen machines, nothing stops you from using any external cartridge which provides support for it. There are a few music players that use the second PSG, like VGMPlay and, IIRC, RoboPlay, and some games, like Dot Attack and a patched version of Sky Jaguar that adds music.

By ducasp

Hero (617)

ducasp's picture

28-09-2022, 20:48

Parn wrote:
KdL wrote:

Internal PSG2 is only for the 2nd Gen machines.

Just to complement @KdL's answer for @AxelStone, although the internal second PSG is only for 2nd Gen machines, nothing stops you from using any external cartridge which provides support for it. There are a few music players that use the second PSG, like VGMPlay and, IIRC, RoboPlay, and some games, like Dot Attack and a patched version of Sky Jaguar that adds music.

The main reason I've added this feature was Maze of GALIOUS MSX2 patch, scc + 2 psg is sweet Cool

By selios2000

Hero (556)

selios2000's picture

29-09-2022, 16:37

I updated from 3.8.1 to 3.9.1 and my 2GB Transcend SD card stopped working (didn’t recognize it). So back to my old firm, the card works fine again. Tested on a Zemmix Neo.

By HRA!

Champion (289)

HRA!'s picture

30-09-2022, 00:55

selios2000 wrote:

I updated from 3.8.1 to 3.9.1 and my 2GB Transcend SD card stopped working (didn’t recognize it). So back to my old firm, the card works fine again. Tested on a Zemmix Neo.

Sorry.
We have already been contacted by one person who encountered a similar problem with SX-2.
We will provide a countermeasure version in the near future.

By KdL

Paragon (1447)

KdL's picture

30-09-2022, 01:04

selios2000 wrote:

I updated from 3.8.1 to 3.9.1 and my 2GB Transcend SD card stopped working (didn’t recognize it). So back to my old firm, the card works fine again. Tested on a Zemmix Neo.

I apologize for the inconvenience. The new IPL-ROM 3.00 which is responsible for booting the SD card has just been born. So the support needs to be refined. We collecting reports on Twitter. A change will be made soon to support more SD cards. Meanwhile if you wish, you can test SD cards of other brand.

https://twitter.com/thara1129/status/1574528931403038720

By selios2000

Hero (556)

selios2000's picture

30-09-2022, 08:46

It doesn’t matter really. I am happy with 3.8.1. Thank you both for your great job!

By KdL

Paragon (1447)

KdL's picture

30-09-2022, 13:30

selios2000 wrote:

It doesn’t matter really. I am happy with 3.8.1. Thank you both for your great job!

At the moment OCM-PLD v3.9 is certainly compatible with your SD card.
You can retry OCM-PLD v3.9.1 after REPACK as soon as it is available.

By HRA!

Champion (289)

HRA!'s picture

30-09-2022, 16:30

Modifications have been made to the SD card connection method at startup.
SD cards that could be used with OCM-PLD3.9 but not with OCM-PLD3.9.1 can now be used with this fix.
This will be incorporated into REPACK of OCM-PLD3.9.1.

I am sure that selios2000's SD card will also be usable now. Wink

By selios2000

Hero (556)

selios2000's picture

30-09-2022, 17:31

Thank you my friends. Thank you again for your hard work.
It would be nice if you at last manage to implement more brands of SD cards, like Lexar for example. It is a pain that one SD works and another don’t… But maybe is more painful for you to make that compatibility.
Thanks guys!

Page 120/123
113 | 114 | 115 | 116 | 117 | 118 | 119 | | 121 | 122 | 123